package com.qmth.teachcloud.common.enums.userPush;

/**
 * @Description: 是否要根据同步之前用户状态判断是否发送禁用推送枚举类
 * @Author: CaoZixuan
 * @Date: 2021-10-30
 */
public enum BeforeJudgeEnum {
    FORBIDDEN_NO_NEED("只根据更新后角色权限判断,更新后即使没有特殊权限，也不发送禁用推送"),
    FORBIDDEN_BY_BEFORE_ROLE("根据用户更新前的角色权限和更新后的对比（更新前如果特殊权限，更新后没有特殊权限则发送两条禁用推送）"),
    FORBIDDEN_NECESSARY("不根据更新前的角色权限判断，只要更新后没有特殊权限，直接发送两条禁用推送"),
    ;

    BeforeJudgeEnum(String desc) {
        this.desc = desc;
    }

    private String desc;

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
